Bug 1326217 - Review Request: google-noto-emoji-fonts - Google Noto Emoji Fonts
Summary: Review Request: google-noto-emoji-fonts - Google Noto Emoji Fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-12 07:55 UTC by Peng Wu
Modified: 2016-05-07 11:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:46:06 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Peng Wu 2016-04-12 07:55:19 UTC
Spec URL: https://pwu.fedorapeople.org/fonts/google-noto-emoji-fonts/google-noto-emoji-fonts.spec
SRPM URL: https://pwu.fedorapeople.org/fonts/google-noto-emoji-fonts/google-noto-emoji-fonts-20160406-1.fc23.src.rpm
Description: Color and Black-and-White Noto emoji fonts, and tools for working with them.
Fedora Account System Username:pwu

Comment 1 Parag AN(पराग) 2016-04-18 04:03:45 UTC
I think some of the third party source like pngquant is already in Fedora. Can we have this package using very less or no bundled source/libraries to build Emoji fonts? You may need to patch Makefile.

Comment 3 Parag AN(पराग) 2016-04-20 07:38:39 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 22 files have unknown license. Detailed output of
     licensecheck in /home/parag/1326217-google-noto-emoji-
     fonts/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[ ]: Run repo-font-audit on all fonts in package.
     Note: Test run failed
[x]: Run ttname on all fonts in package.
     Note: ttname analyze results in fonts/ttname.log.


Rpmlint
-------
Checking: google-noto-emoji-fonts-20160406-2.fc25.noarch.rpm
          google-noto-emoji-fonts-20160406-2.fc25.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
google-noto-emoji-fonts (rpmlib, GLIBC filtered):
    fontpackages-filesystem



Provides
--------
google-noto-emoji-fonts:
    font(notocoloremoji)
    font(notoemoji)
    google-noto-emoji-fonts



Source checksums
----------------
https://github.com/googlei18n/noto-emoji/archive/e7a7241a929625feb16920a40bfa29e4a302b82b.tar.gz#/noto-emoji-e7a7241.tar.gz :
  CHECKSUM(SHA256) this package     : 22eec56f00032967652f3c27f7d28e9f4ddc3a405ff173a5506c1112578b8800
  CHECKSUM(SHA256) upstream package : 22eec56f00032967652f3c27f7d28e9f4ddc3a405ff173a5506c1112578b8800
https://github.com/googlei18n/nototools/archive/c1f2cffbba35d08c9558006bc7860492ce322b87.tar.gz#/nototools-c1f2cff.tar.gz :
  CHECKSUM(SHA256) this package     : 611f01eb39eeaddde994b2f5ec43aa159bc52b0937b7ded6d1c5369629b9e8bb
  CHECKSUM(SHA256) upstream package : 611f01eb39eeaddde994b2f5ec43aa159bc52b0937b7ded6d1c5369629b9e8bb


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20


APPROVED.

Comment 4 Patrick Uiterwijk 2016-04-22 07:06:23 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/google-noto-emoji-fonts

Comment 5 Fedora Update System 2016-04-25 06:14:42 UTC
google-noto-emoji-fonts-20160406-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c7da67fb2

Comment 6 Fedora Update System 2016-04-25 17:50:56 UTC
google-noto-emoji-fonts-20160406-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c7da67fb2

Comment 7 Fedora Update System 2016-04-29 07:05:10 UTC
google-noto-emoji-fonts-20160406-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d61f328b5b

Comment 8 Fedora Update System 2016-04-29 17:21:44 UTC
google-noto-emoji-fonts-20160406-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d61f328b5b

Comment 9 Fedora Update System 2016-05-07 11:46:01 UTC
google-noto-emoji-fonts-20160406-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.